kamikazebiterscale = 0.816
kamikaze_biter_tint1 = {r=0.98, g=0.52, b=0, a=0.7}
kamikaze_biter_tint2 = {r=1.00, g=0.31, b=0.01, a=0.8}

tinybiterscale = 0.25
tiny_biter_tint1 = {r=0.54, g=0.03, b=0.03, a=1}
tiny_biter_tint2 = {r=1, g=1, b=1, a=0.5}

broodmotherscale = 2
broodmothertint =  {r=1, g=0, b=0.56, a=1}

-- data:extend({
  -- {
    -- type = "item",
    -- name = "kamikaze-biter",
    -- icon = "__base__/graphics/icons/medium-biter.png",
    -- flags = {"goes-to-quickbar"},
    -- subgroup = "enemies",
    -- order="b-c-a",
    -- place_result = "kamikaze-biter",
    -- stack_size = 50
  -- },
  -- {
    -- type = "item",
    -- name = "tiny-biter",
    -- icon = "__base__/graphics/icons/small-biter.png",
    -- flags = {"goes-to-quickbar"},
    -- subgroup = "enemies",
    -- order="b-c-a",
    -- place_result = "tiny-biter",
    -- stack_size = 50
  -- },
  -- {
    -- type = "item",
    -- name = "broodmother",
    -- icon = "__base__/graphics/icons/creeper.png",
    -- flags = {"goes-to-quickbar"},
    -- subgroup = "enemies",
    -- order="b-c-a",
    -- place_result = "broodmother",
    -- stack_size = 50
  -- }
-- })

data:extend({
  {
    type = "unit",
    name = "kamikaze-biter",
    icon = "__base__/graphics/icons/medium-biter.png",
    flags = {"placeable-player", "placeable-enemy", "placeable-off-grid", "breaths-air", "not-repairable"},
    max_health = 275,
    order="b-c-a",
    subgroup="enemies",
    resistances =
    {
      {
        type = "physical",
        decrease = 6,
      },
      {
        type = "explosion",
        percent = 10
      },
      {
        type = "suicide",
        decrease = -275
      }
    },
    healing_per_tick = 0.01,
    collision_box = {{-0.35, -0.35}, {0.35, 0.35}},
    selection_box = {{-0.7, -1.5}, {0.7, 0.3}},
    sticker_box = {{-0.35, -0.5}, {0.35, 0.1}},
    distraction_cooldown = 300,
    attack_parameters = {
		type = "projectile",
		ammo_category = "biological",
		cooldown = 20,
		range = 1.5,
		projectile_creation_distance = 0,
		damage_modifier = 1,
		warmup = 0,
		ammo_type = {
		  category = "biological",
		  action =
		  {
			type = "direct",
			action_delivery =
			{
			  type = "projectile",
			  projectile = "acid-splash",
			  starting_speed = 1
			}
		  }
		},
		sound = make_biter_roars(0.7),
		animation = biterattackanimation(kamikazebiterscale, kamikaze_biter_tint1, kamikaze_biter_tint2)
	},
    vision_distance = 30,
    movement_speed = 0.2,
    distance_per_frame = 0.15,
    -- in pu
    pollution_to_join_attack = 2500,
    corpse = "kamikaze-corpse",
    dying_explosion = "explosion",
    working_sound = make_biter_calls(0.8),
    dying_sound = make_biter_dying_sounds(1.0),
    run_animation = biterrunanimation(kamikazebiterscale, kamikaze_biter_tint1, kamikaze_biter_tint2)
  },
  
  {
    type = "corpse",
    name = "kamikaze-corpse",
    icon = "__base__/graphics/icons/big-biter-corpse.png",
    selection_box = {{-0.8, -0.8}, {0.8, 0.8}},
    selectable_in_game = false,
    subgroup="corpses",
    order = "c[corpse]-c[biter]-a[small]",
    flags = {"placeable-neutral", "placeable-off-grid", "building-direction-8-way", "not-repairable", "not-on-map"},
    dying_speed = 0.04,
    time_before_removed = 15 * 60 * 60,
    final_render_layer = "corpse",
    animation = biterdieanimation(kamikazebiterscale, kamikaze_biter_tint1, kamikaze_biter_tint2)
  },
  
  {
    type = "unit",
    name = "tiny-biter",
    icon = "__base__/graphics/icons/small-biter.png",
    flags = {"placeable-player", "placeable-enemy", "placeable-off-grid", "breaths-air"},
    max_health = 10,
    order = "b-c-b",
    subgroup="enemies",
    healing_per_tick = 0.01,
    collision_box = {{-0.1, -0.1}, {0.1, 0.1}},
    selection_box = {{-0.2, -0.35}, {0.2, 0.35}},
    attack_parameters =
    {
      type = "projectile",
      range = 0.5,
      cooldown = 20,
      ammo_category = "melee",
      ammo_type = make_unit_melee_ammo_type(5),
      sound = make_biter_roars(0.25),
      animation = biterattackanimation(tinybiterscale, tiny_biter_tint1, tiny_biter_tint2)
    },
    vision_distance = 30,
    movement_speed = 0.35,
    distance_per_frame = 0.2,
    pollution_to_join_attack = 100,
    distraction_cooldown = 300,
    corpse = "tiny-biter-corpse",
    dying_explosion = "blood-explosion-small",
    dying_sound =  make_biter_dying_sounds(0.75),
    working_sound =  make_biter_calls(0.35),
    run_animation = biterrunanimation(tinybiterscale, tiny_biter_tint1, tiny_biter_tint2)
  },
  
  {
    type = "corpse",
    name = "tiny-biter-corpse",
    icon = "__base__/graphics/icons/small-biter-corpse.png",
    selection_box = {{-0.8, -0.8}, {0.8, 0.8}},
    selectable_in_game = false,
    subgroup="corpses",
    order = "c[corpse]-c[biter]-b[small]",
    flags = {"placeable-neutral", "placeable-off-grid", "building-direction-8-way", "not-repairable", "not-on-map"},
    dying_speed = 0.04,
    time_before_removed = 15 * 60,
    final_render_layer = "corpse",
    animation = biterdieanimation(tinybiterscale, tiny_biter_tint1, tiny_biter_tint2)
  },
  
  {
    type = "unit",
    name = "broodmother",
    icon = "__base__/graphics/icons/creeper.png",
    flags = {"placeable-player", "placeable-enemy", "placeable-off-grid", "breaths-air", "not-repairable"},
    max_health = 750,    
	resistances =
    {
      {
        type = "fire",
        percent = 90
      },
      {
        type = "explosion",
        percent = 90
      },
      {
        type = "physical",
        percent = 90
      },
      {
        type = "impact",
        percent = 90
      },
      {
        type = "poison",
        percent = 90
      },
      {
        type = "laser",
        percent = 90
      },
      {
        type = "acid",
        percent = 90
      },
      {
        type = "electric",
        percent = 90
      }
    },
    order="b-c-c",
    subgroup="enemies",
    healing_per_tick = 0.01,
    collision_box = {{-0.6, -0.6}, {0.6, 0.6}},
    selection_box = {{-0.8, -0.8}, {0.8, 0.8}},
    sticker_box = {{-0.6, -1}, {0.6, 0.2}},
    distraction_cooldown = 300,
    attack_parameters = {
		type = "projectile",
		ammo_category = "capsule",
		cooldown = 30,
		projectile_creation_distance = 0.6,
		range = 16.5,
		ammo_type =
		{
		  category = "capsule",
		  target_type = "position",
		  action =
		  {
			type = "direct",
			action_delivery =
			{
			  type = "projectile",
			  projectile = "biter-capsule",
			  starting_speed = 0.3
			}
		  }
		},
		sound = make_spitter_roars(0.9),
		animation = spitterattackanimation(broodmotherscale, broodmothertint),
		},
	vision_distance = 30,
    movement_speed = 0.15,
    distance_per_frame = 0.084,
    pollution_to_join_attack = 9000,
    corpse = "broodmother-corpse",
    dying_explosion = "blood-explosion-big",
    dying_sound = make_spitter_dying_sounds(1.0),
    run_animation = spitterrunanimation(broodmotherscale, broodmothertint)
  },

  {
    type = "corpse",
    name = "broodmother-corpse",
    icon = "__base__/graphics/icons/big-biter-corpse.png",
    selectable_in_game = false,
    collision_box = {{-0.7, -0.7}, {0.7, 0.7}},
    selection_box = {{-0.7, -1}, {0.7, 1}},
    subgroup="corpses",
    order = "c[corpse]-c[spitter]-c[broodmother]",
    flags = {"placeable-neutral", "placeable-off-grid", "building-direction-8-way", "not-on-map"},
    dying_speed = 0.04,
    time_before_removed = 15 * 60 * 60,
    final_render_layer = "corpse",
    animation = spitterdyinganimation(broodmotherscale, broodmothertint),
  },
})

table.insert(data.raw["unit-spawner"]["biter-spawner"].result_units,{"kamikaze-biter", {{0.6, 0.0}, {0.9, 0.05}, {1.0, 0.3}}})
table.insert(data.raw["unit-spawner"]["spitter-spawner"].result_units,{"broodmother", {{0.75, 0.0}, {0.8, 0.1}, {1.0, 0.15}}})