function capsule_position(capsules,radius)
	local R = radius or 1
	local pos = {}
	local i = 0
	
	if capsules ~= 2 and capsules ~= 3 then --2 and 3 capsules have no middle bit.
		table.insert(pos, {0, 0})
		capsules = capsules -1
	end
	while capsules > 0 do
		i = i+1
		r = (R/2) / math.sin( math.pi/(6*i) )
		local count = math.min(i*6,capsules)
		local angle = 2*math.pi / count
		local phase = 0
		if count % 2 == 1 then --makes the pointy parts to the side
			phase = math.pi/2
		elseif count % 4 == 0 then --for 4n-gons the pointy parts are always to the top and need to be rotated 45 deg
			phase = math.pi/4
		end
		for j = 0,count-1 do
			local x = r * math.cos(j * angle + phase)
			local y = r * math.sin(j * angle + phase)
			table.insert(pos,{x,y})
			capsules = capsules -1
		end
	end
	return pos
end
data:extend(
{
	{
    type = "projectile",
    name = "stacked-destroyer-capsule",
    flags = {"not-on-map"},
    acceleration = 0.005,
    action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          type = "create-entity",
          show_in_tooltip = true,
          entity_name = "destroyer",
          offsets = capsule_position(25,1.5)
        }
      }
    },
    light = {intensity = 0.5, size = 4},
    animation =
    {
      filename = "__base__/graphics/entity/combat-robot-capsule/destroyer-capsule.png",
      frame_count = 1,
      width = 32,
      height = 32,
      priority = "high"
    },
    shadow =
    {
      filename = "__base__/graphics/entity/combat-robot-capsule/combat-robot-capsule-shadow.png",
      frame_count = 1,
      width = 32,
      height = 32,
      priority = "high"
    },
    smoke = capsule_smoke
  },
})