-- function capsule_position(capsules,r)
	-- local pos = {{0,0}}
	-- local r = r or 1
	-- if capsules <= 6 then
		-- for i = 1,capsules-1 do
			-- table.insert(pos, {r * math.cos( 2 * i * math.pi / (capsules-1) ), r * math.sin( 2 * i * math.pi / (capsules-1) )})
		-- end
	-- else
		-- for i = 1,6 do
			-- table.insert(pos, {r * math.cos( i * math.pi / 3 ), r * math.sin( i * math.pi / 3 )})
		-- end
		-- r = 2*r
		-- if capsules <= 18 then
			-- for i = 1,capsules-7 do
				-- table.insert(pos, {r * math.cos( 2 * i * math.pi / (capsules-7) ), r * math.sin( 2 * i * math.pi / (capsules-7) )})
			-- end
		-- else
			-- for i = 1,12 do
				-- table.insert(pos, {r * math.cos( i * math.pi / 6 ), r * math.sin( i * math.pi / 6 )})
			-- end
			-- r = 1.5*r
			-- for i = 1,capsules-19 do
				-- table.insert(pos, {r * math.cos( 2 * i * math.pi / (capsules-19) ), r * math.sin( 2 * i * math.pi / (capsules-19) )})
			-- end
		-- end
	-- end
	-- return pos
	
	
	
-- end

function capsule_position(capsules,radius)
	local R = radius or 1
	local pos = {}
	local i = 0
	
	if capsules ~= 2 and capsules ~= 3 then --2 and 3 capsules have no middle bit.
		table.insert(pos, {0, 0})
		capsules = capsules -1
	end
	while capsules > 0 do
		i = i+1
		r = (R/2) / math.sin( math.pi/(6*i) )
		local count = math.min(i*6,capsules)
		local angle = 2*math.pi / count
		local phase = 0
		if count % 2 == 1 then --makes the pointy parts to the side
			phase = math.pi/2
		elseif count % 4 == 0 then --for 4n-gons the pointy parts are always to the top and need to be rotated 45 deg
			phase = math.pi/4
		end
		for j = 0,count-1 do
			local x = r * math.cos(j * angle + phase)
			local y = r * math.sin(j * angle + phase)
			table.insert(pos,{x,y})
			capsules = capsules -1
		end
	end
	return pos
end

data:extend({
  {
    type = "projectile",
    name = "small-cannon-projectile",
    flags = {"not-on-map"},
    acceleration = 0,
    piercing_damage = 150,
    action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          {
            type = "damage",
            damage = { amount = 75 , type = "physical"}
          },
          {
            type = "damage",
            damage = { amount = 25 , type = "explosion"}
          }
        }
      }
    },
    final_action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          {
            type = "create-entity",
            entity_name = "small-scorchmark",
            check_buildability = true
          }
        }
      }
    },
    animation =
    {
      filename = "__base__/graphics/entity/bullet/bullet.png",
      frame_count = 1,
      width = 3,
      height = 50,
      priority = "high"
    },
  },
  {
    type = "projectile",
    name = "small-explosive-cannon-projectile",
    flags = {"not-on-map"},
    acceleration = 0,
    piercing_damage = 30,
    action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          {
            type = "damage",
            damage = { amount = 30, type = "physical"}
          }
        }
      }
    },
    final_action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          {
            type = "create-entity",
            entity_name = "big-explosion",
            check_buildability = true
          },
          {
            type = "nested-result",
            action =
            {
              type = "area",
              perimeter = 4,
              action_delivery =
              {
                type = "instant",
                target_effects =
                {
                  {
                    type = "damage",
                    damage = {amount = 60, type = "explosion"}
                  },
                  {
                    type = "create-entity",
                    entity_name = "explosion"
                  }
                }
              }
            }
          }
        }
      }
    },
    animation =
    {
      filename = "__base__/graphics/entity/bullet/bullet.png",
      frame_count = 1,
      width = 3,
      height = 50,
      priority = "high"
    },
  },
  
  {
    type = "damage-type",
    name = "suicide"
  },
  
  {
    type = "projectile",
    name = "acid-splash",
    flags = {"not-on-map"},
    acceleration = 0.005,
    action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          {
            type = "play-sound",
            sound =
            {
              {
                filename = "__base__/sound/creatures/projectile-acid-burn-1.ogg",
                volume = 0.8
              },
              {
                filename = "__base__/sound/creatures/projectile-acid-burn-2.ogg",
                volume = 0.8
              },
              {
                filename = "__base__/sound/creatures/projectile-acid-burn-long-1.ogg",
                volume = 0.8
              },
              {
                filename = "__base__/sound/creatures/projectile-acid-burn-long-2.ogg",
                volume = 0.8
              }
            }
          },
		  {
			type = "create-entity",
			entity_name = "small-scorchmark",
			check_buildability = true
		  },
          {
            type = "nested-result",
            action =
            {
              type = "area",
              perimeter = 3,
              action_delivery =
              {
                type = "instant",
                target_effects =
                {
				  {
					type = "damage",
					damage = {amount = 150, type = "acid"}
				  },          
				  {
					type = "damage",
					damage = {amount = 1, type = "suicide"}
					},
				  {
					type = "create-entity",
					entity_name = "acid-splash-purple"
				  },
                }
              }
            }
          }
        }
      }
    },
    animation =
    {
      filename = "__base__/graphics/entity/acid-projectile-purple/acid-projectile-purple.png",
      line_length = 5,
      width = 16,
      height = 18,
      frame_count = 33,
      priority = "high"
    },
    shadow =
    {
      filename = "__base__/graphics/entity/acid-projectile-purple/acid-projectile-purple-shadow.png",
      line_length = 5,
      width = 28,
      height = 16,
      frame_count = 33,
      priority = "high",
      shift = {-0.09, 0.395}
    },
    rotatable = false
  },
  {
    type = "projectile",
    name = "biter-capsule",
    flags = {"not-on-map"},
    acceleration = 0.005,
    action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          {
            type = "create-entity",
            show_in_tooltip = true,
            entity_name = "tiny-biter",
			offsets = capsule_position(3)
          },
        }
      }
    },
    animation =
    {
      filename = "__base__/graphics/entity/acid-projectile-purple/acid-projectile-purple.png",
      line_length = 5,
      width = 16,
      height = 18,
      frame_count = 33,
      priority = "high"
    },
    shadow =
    {
      filename = "__base__/graphics/entity/acid-projectile-purple/acid-projectile-purple-shadow.png",
      line_length = 5,
      width = 28,
      height = 16,
      frame_count = 33,
      priority = "high",
      shift = {-0.09, 0.395}
    },
    rotatable = false
  },
  
  {
    type = "projectile",
    name = "stacked-defender-capsule",
    flags = {"not-on-map"},
    acceleration = 0.005,
    action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          {
            type = "create-entity",
            show_in_tooltip = true,
            entity_name = "defender",
			offsets = capsule_position(5)
          },
        }
      }
    },
    light = {intensity = 0.5, size = 4},
    animation =
    {
      filename = "__base__/graphics/entity/combat-robot-capsule/defender-capsule.png",
      frame_count = 1,
      width = 32,
      height = 32,
      priority = "high"
    },
    shadow =
    {
      filename = "__base__/graphics/entity/combat-robot-capsule/combat-robot-capsule-shadow.png",
      frame_count = 1,
      width = 32,
      height = 32,
      priority = "high"
    },
    smoke = capsule_smoke,
  },

})

